#!/usr/bin/env bash

ADMIN_USER="woocommerce"
WORDPRESS_PATH="/Users/amieiro/code/wordpress/woocommerce"

# Get Id for the products
CALAMARATA_NERO_ID=$(wp wc \
product list --sku='cal-ner-001' \
--format=ids \
--user=${ADMIN_USER} \
--path=${WORDPRESS_PATH})

CAVATELLI_ID=$(wp wc \
product list --sku='cav-001' \
--format=ids \
--user=${ADMIN_USER} \
--path=${WORDPRESS_PATH})

RAVIOLI_BASILICO_ID=$(wp wc \
product list --sku='rav-bas-001' \
--format=ids \
--user=${ADMIN_USER} \
--path=${WORDPRESS_PATH})

# Create new customers
wp user create customer1 \
customer1@example.com \
--first_name="Juan" \
--last_name="Pérez" \
--role=customer \
--user_pass=password1 \
--path=${WORDPRESS_PATH}

wp user create customer2 \
customer2@example.com \
--first_name="María" \
--last_name="García" \
--role=customer \
--user_pass=password2 \
--path=${WORDPRESS_PATH}

wp user create customer3 \
customer3@example.com \
--first_name="Carlos" \
--last_name="López" \
--role=customer \
--user_pass=password3 \
--path=${WORDPRESS_PATH}


# Create shop orders for the new customers
wp wc shop_order create \
    --user=customer1@example.com \
    --status=processing \
    --billing='{
        "first_name":"Juan",
        "last_name":"Pérez",
        "address_1":"Calle Mayor 1",
        "address_2":"",
        "city":"Madrid",
        "state":"M",
        "postcode":"28001",
        "country":"ES",
        "email":"customer1@example.com",
        "phone":"600123456"
        }' \
    --shipping='{
        "first_name":"Juan",
        "last_name":"Pérez",
        "address_1":"Calle Mayor 1",
        "address_2":"",
        "city":"Madrid",
        "state":"MD",
        "postcode":"28001",
        "country":"ES"
        }' \
    --line_items="[{
        \"product_id\":${CALAMARATA_NERO_ID},
        \"quantity\":1
        }]" \
    --payment_method='cod' \
    --payment_method_title='Cash on Delivery' \
    --user=${ADMIN_USER} \
    --path=${WORDPRESS_PATH}

wp wc shop_order create \
    --user=customer2@example.com \
    --status=processing \
    --billing='{
        "first_name":"María",
        "last_name":"García",
        "address_1":"Avenida de América 45",
        "address_2":"",
        "city":"Barcelona",
        "state":"CT",
        "postcode":"08001",
        "country":"ES",
        "email":"customer2@example.com",
        "phone":"600654321"
        }' \
    --shipping='{
        "first_name":"María",
        "last_name":"García",
        "address_1":"Avenida de América 45",
        "address_2":"",
        "city":"Barcelona",
        "state":"B",
        "postcode":"08001",
        "country":"ES"
        }' \
    --line_items="[{
        \"product_id\":${CAVATELLI_ID},
        \"quantity\":2
        }]" \
    --payment_method='cod' \
    --payment_method_title='Cash on Delivery' \
    --user="${ADMIN_USER}" \
    --path=${WORDPRESS_PATH}

wp wc shop_order create \
    --user=customer3@example.com \
    --status=processing \
    --billing='{
        "first_name":"Carlos",
        "last_name":"López",
        "address_1":"Calle del Prado 10",
        "address_2":"","city":"Valencia",
        "state":"V",
        "postcode":"46001",
        "country":"ES",
        "email":"customer3@example.com",
        "phone":"600789012"
        }' \
    --shipping='{
        "first_name":"Carlos",
        "last_name":"López",
        "address_1":"Calle del Prado 10",
        "address_2":"",
        "city":"Valencia",
        "state":"V",
        "postcode":"46001",
        "country":"ES"
        }' \
    --line_items="[{
        \"product_id\":${RAVIOLI_BASILICO_ID},
        \"quantity\":3
        }]" \
    --payment_method='cod' \
    --payment_method_title='Cash on Delivery' \
    --user="${ADMIN_USER}" \
    --path=${WORDPRESS_PATH}
